<template>
  <apexchart
    :options="chartOptions"
    :series="series" />
</template>

<script>
import VueApexCharts from 'vue3-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts
  },
  data () {
    return {
      series: [],
      chartOptions: {
            colors: ['#f2c037', '#21ba45', '#c10015', '#26a69a'],
            chart: {
                type: 'bar',
                stacked: true,
                stackType: '100%',
                id: "HorizontalChart",
                toolbar: {
                  show: false,
                },
            },
            grid: { show: false},
            axisTicks: {
              show: false,
            },
            yaxis: {
              show: false,
              labels: {show: false},
              axisTicks: {height: 0},
            },
            xaxis: {
              show: false,
              labels: {show: false, maxHeight:0},
              axisBorder: {show: false},
              axisTicks: {height: 0},
            },
            plotOptions: {
              bar: {
                horizontal: true,
                barHeight: 5
              },
            },
            // dataLabels: {
            //     enabled: false
            // },
        legend: {
          show: false,
        }
      } 
    }
  },
  created () {
    this.emitter.on('tests.summary.selected', (value) => {
       this.updateChart(value)
    })
  },

  methods: {
    updateChart (item) {
      this.series = []
      this.series.push({'name': 'Failed', 'data': [item.pfailed]})
      this.series.push({'name': 'Success', 'data': [item.psuccess]})
      this.series.push({'name': 'Error', 'data': [item.perror]})
      this.series.push({'name': 'Skipped', 'data': [item.pskipped]})
    }
  }
}
</script>

<style>
/*
.chartHorizontal {
  opacity: 0.9;
  padding: 10px;
  box-sizing: border-box;
  flex-direction: column;
  top: 0px;
}

.apexcharts-canvas {
  position: absolute !important;
  height: 20px !important;
  min-height: 20px !important;
}

.chartHorizontal > div:nth-child(1) {
 min-height: 50px !important;
}
*/

#apexchartsHorizontalChart {
 top: -200px;
}
</style>
